Bug 106275 - dhclient-script ignores prepend, append statements
Summary: dhclient-script ignores prepend, append statements
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-04 18:11 UTC by Jim Richardson
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version: dhclient-3.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:42:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:566 normal SHIPPED_LIVE Updated dhcp and dhclient packages 2005-05-26 04:00:00 UTC

Description Jim Richardson 2003-10-04 18:11:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
According to the dhclient.conf man page you should be able to prepend and/or append statements to the resolv.conf which is written upon successful dchp.

I have looked through the script and there appears to be no support for this.

I realize I can set PEERDNS = NO to disable writing, but there are instances where prepending/appending would be very desirable.

Version-Release number of selected component (if applicable):
dhclient-3.0pl1-23

How reproducible:
Always

Steps to Reproduce:
1. add statement "prepend nameserver 127.0.0.1;" to the appropriate dhclient*.conf
2. perform an ifdown/ifup on the appropriate dhcp interface

    

Actual Results:  the resulting resolv.conf file will not have the desired prepended entry

Expected Results:  3. the resulting resolv.conf file would have the desired prepended entry

Additional info:

Comment 1 Jason Vas Dias 2004-08-20 15:42:01 UTC
dhclient-3.0.1+ (latest version) now fully supports and honours
the prepend, append, and supersede options in /etc/dhclient-${IF}.conf
(eg./etc/dhclient-eth0.conf if eth0 is being configured with DHCP).
 

Comment 2 John Flanagan 2004-12-21 19:42:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html



Note You need to log in before you can comment on or make changes to this bug.